Inicio / Alerta Temprana / Avisos Sci / Validación de entrada incorrecta en SPRECON-E de Sprecher Automation

Validación de entrada incorrecta en SPRECON-E de Sprecher Automation

Fecha de publicación: 
15/10/2020
Importancia: 
4 - Alta
Recursos afectados: 

SPRECON-E, versiones de firmware anteriores a 8.64b.

Descripción: 

Gregor Bonney, empleado de CyberRange-e en Innogy, ha coordinado la publicación del aviso que notifica una vulnerabilidad, con severidad alta, de tipo validación de entrada incorrecta del archivo de configuración en SPRECON-E.

Solución: 

Actualizar SPRECON-E a la versión de firmware 8.64b. Además, el fabricante ofrece una versión actualizada del firmware, actualmente 8.64d, para los clientes a través de sus asesores.

Detalle: 

El firmware Sprecher SPRECON-E anterior a 8.64b podría permitir a un atacante local insertar código arbitrario. Este firmware carece de la validación de los valores de entrada en el lado del dispositivo, que es proporcionada por el software de ingeniería durante la parametrización. Por lo tanto, un atacante con acceso a archivos de configuración locales podría insertar comandos maliciosos para que se ejecutasen después de compilarlos en archivos de parámetros válidos ("PDL"), transferirlos al dispositivo y reiniciarlo. Se ha asignado el identificador CVE-2020-11496 para esta vulnerabilidad.

Encuesta valoración